Download it now!
Bug 124754 - FILEOPEN DOCX Hyperlink in text box does not get blue color
Summary: FILEOPEN DOCX Hyperlink in text box does not get blue color
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: Hyperlink
  Show dependency treegraph
 
Reported: 2019-04-15 13:02 UTC by NISZ LibreOffice Team
Modified: 2019-05-14 16:32 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (22.42 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-04-15 13:10 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (116.07 KB, image/png)
2019-04-15 13:10 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-04-15 13:02:17 UTC
Description:
Attached document has copies of the same text box with hyperlink. When opened in Writer the hyperlink does not appear in blue text color, unless there is a new paragraph after it with a non-default style.

Steps to Reproduce:
    1. In Word choose Insert -> Text box
    2. Enter some paragraphs of text and include a hyperlink in one of them
    3. Create copies of the text box
    4. In one of the copies change the style of a subsequent paragraph.
    5. Save the file and open it in Writer
    6. Notice that the blue color character formatting is only present in the text box where you changed the style. Others have default color.

Actual Results:
The color is not retained in all text boxes.

Expected Results:
Hyperlinks should keep their color in all text boxes.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:

Version: 6.3.0.0.alpha0+
Build ID: 05a8749ee6f251d4b92eecb97763fa1fe94c68c8
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded

Verzió: 6.0.0.3
Build az.: 64a0f66915f38c6217de274f0aa8e15618924765
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: GL; 
Területi beállítások: hu-HU (hu_HU); Calc: CL

Does not occur on: 

Verzió: 5.4.0.3
Build az.: 92c2794a7c181ba4c1c5053618179937228ed1fb
CPU szálak: 4; OS: Windows 6.2; Felületmegjelenítés: alapértelmezett; 
Területi beállítások: hu-HU (hu_HU); Calc: CL

Verzió: 5.3.0.3
Build az.: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU szálak: 4; Rendszer verziója: Windows 6.2; Felületmegjelenítés: GL; Elrendezésmotor:új; 
Területi beállítások: hu-HU (hu_HU); Calc: CL

Verzió: 5.2.0.4
Build az.: 066b007f5ebcc236395c7d282ba488bca6720265
CPU szálak: 4; Rendszer verziója: Windows 6.2; Felületmegjelenítés: GL; 
Területi beállítások: hu-HU (hu_HU)

Verzió: 4.4.0.3
Build az.: de093506bcdc5fafd9023ee680b8c60e3e0645d7
Területi beállítások: hu_HU

Verzió: 4.0.0.3 (Build az.: 7545bee9c2a0782548772a21bc84a9dcc583b89)

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735

Bibisect log: 

$ git bisect log
# bad: [bc1845d882e52469a4583747881a465749177829] source sha:c30963b8b4bbbe42a24b97aafa161eff9d7ccdd4
# good: [cc5c4c7ed1d8d01b0063bcaaeb5f6d59282c8029] source sha:9feb7f7039a3b59974cbf266922177e961a52dd1
git bisect start 'origin/master' 'oldest'
# good: [611b687719dc875499fd14d50e699b7ce871b941] source sha:2cd664b3d618e6085be8b44ee86eada6cd5f8789
git bisect good 611b687719dc875499fd14d50e699b7ce871b941
# good: [3d50ca0e4e00109fa4799c8bb6c0093ec33c58ba] source sha:0c364fa7d507ae41bf04d36464f8942d154e49c0
git bisect good 3d50ca0e4e00109fa4799c8bb6c0093ec33c58ba
# bad: [2678a952310db3696fc39c4763455b12843429fb] source sha:a27f26228c8311b3b01ecca81d6cdcd3ceb644e1
git bisect bad 2678a952310db3696fc39c4763455b12843429fb
# bad: [6f94faac21b6f3988c9a4b22aa5ef090a3a4f1ae] source sha:b73c66597884f03443ee8888cb6c204b78bb6cda
git bisect bad 6f94faac21b6f3988c9a4b22aa5ef090a3a4f1ae
# good: [b3014bb832ec89aaf3256433aeeed78080729675] source sha:0d50804e1c0c0ea2a5cd73fa3fa2a9ff0a0e7048
git bisect good b3014bb832ec89aaf3256433aeeed78080729675
# good: [efcd5fd7720f9771d20b634df314dc10010bb19c] source sha:899d7139355b8bea4bc1e6f9c05dededdb6f2c39
git bisect good efcd5fd7720f9771d20b634df314dc10010bb19c
# bad: [167eb519c6dc13c7fe296829c8ca9fa1a74a3dce] source sha:19ee7861938b59085a50699a51e2f149e49a24e4
git bisect bad 167eb519c6dc13c7fe296829c8ca9fa1a74a3dce
# good: [21406c185ee7c0f1c0304d61623d2f76c036e1f4] source sha:89bbb27ebb5ece4d42d5df09083db2142018ed8e
git bisect good 21406c185ee7c0f1c0304d61623d2f76c036e1f4
# good: [aa6c8ceb70492e261a1d4191a4622e94dd84faf0] source sha:cbaa72d6e963847a4b98526430cd928bc7928fdd
git bisect good aa6c8ceb70492e261a1d4191a4622e94dd84faf0
# good: [09a7fab8b6c4ff1cb62064eec23e4fc3d67eef67] source sha:7f603dd111afcc30eec8bbec97efc16ad8b4c4d1
git bisect good 09a7fab8b6c4ff1cb62064eec23e4fc3d67eef67
# bad: [6c5ffa853820d791035f02990e15710869c83e97] source sha:e2eddd96bc1cd83da02c2d5a36c7a678a8544673
git bisect bad 6c5ffa853820d791035f02990e15710869c83e97
# bad: [1d1128d06a00ea5c3802201d90036c9a2cc4867c] source sha:d31fdb27583f5f594e8424bf061a74fde5cf2704
git bisect bad 1d1128d06a00ea5c3802201d90036c9a2cc4867c
# bad: [4a7d8ee1212ee3ba6e04281f7d075b6e04e628c1] source sha:eaa9cf6a3069fba3d82c046f0041bfb537d9e648
git bisect bad 4a7d8ee1212ee3ba6e04281f7d075b6e04e628c1
# first bad commit: [4a7d8ee1212ee3ba6e04281f7d075b6e04e628c1] source sha:eaa9cf6a3069fba3d82c046f0041bfb537d9e648


https://cgit.freedesktop.org/libreoffice/core/commit/?id=eaa9cf6a3069fba3d82c046f0041bfb537d9e648
Comment 1 NISZ LibreOffice Team 2019-04-15 13:02:50 UTC
Adding CC to: Vasily Melenchuk 
<Vasily.Melenchuk@cib.de>
Comment 2 NISZ LibreOffice Team 2019-04-15 13:10:15 UTC
Created attachment 150767 [details]
Example file from Word
Comment 3 NISZ LibreOffice Team 2019-04-15 13:10:38 UTC
Created attachment 150768 [details]
Screenshot of the original document side by side in Word and Writer
Comment 4 mulla.tasanim 2019-04-16 05:55:56 UTC
Thank you for reporting the bug.

I can confirm that the bug is present in

Version: 6.2.1.2 (x64)
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL


Version: 6.3.0.0.alpha0+ (x64)
Build ID: 91cdf22b88a4f7bec243c8fb187627e766d3294c
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-03-08_00:38:10
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 5 Xisco Faulí 2019-05-02 09:00:58 UTC
@Justin Luth, I thought you might be interested in this issue...
Comment 6 Commit Notification 2019-05-14 09:04:45 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e24707d64d2d4c59c2aedf0235f5b1a694ec5f65%5E%21

tdf#124754 sw docx import: do not override text color with -1 (auto) color

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-05-14 14:01:59 UTC
Verified in

Version: 6.3.0.0.alpha1+
Build ID: 5053584e71d98ae6bfba405145c45815ba7ad898
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Serge Krot, thanks for fixing this issue!
Comment 8 Commit Notification 2019-05-14 16:32:42 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/1b1caaf4bce6b60c4c1af7dfc6f90dbdf4c3f817%5E%21

tdf#124754 sw docx import: do not override text color with -1 (auto) color

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.